Skip to main content
`Ctrl`+`K`

# DMPlexGetSubpointIS

Returns an `IS` covering the entire subdm chart with the original points as data

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetSubpointIS(DM dm, IS *subpointIS)

## Input Parameter

- dm - The submesh `DM`

## Output Parameter

- subpointIS - The `IS` of all the points from the original mesh in this submesh, or `NULL` if this is not a submesh

## Note

This `IS` is guaranteed to be sorted by the construction of the submesh. However, if the filtering operation removes an entire stratum, then the strata in the submesh can be in a different order, and the `subpointIS` will only be sorted within each stratum.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateSubmesh()`, `DMPlexGetSubpointMap()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages